Skip to main content
GET
/
api
/
v1
/
threads
/
{id}
Get thread details
curl --request GET \
  --url https://api.camelai.com/api/v1/threads/{id}/ \
  --header 'Authorization: Bearer <token>'
{
  "id": 123,
  "title": "<string>",
  "created_at": "2023-11-07T05:31:56Z",
  "last_modified": "2023-11-07T05:31:56Z",
  "connection_names": "<string>",
  "message_count": "<string>",
  "uid": "<string>",
  "connection_ids": "<unknown>"
}

Documentation Index

Fetch the complete documentation index at: https://camelai.com/docs/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

API key authentication using Bearer scheme

Path Parameters

id
string
required

Response

Serializer for Thread model.

id
integer
required
read-only
title
string
required
Maximum string length: 255
created_at
string<date-time>
required
read-only
last_modified
string<date-time>
required
read-only
connection_names
string
required
read-only

List of connection names associated with this thread

message_count
string
required
read-only

Total number of messages in the thread

source
enum<string>
required
read-only

How this thread was created

  • UI - Web UI
  • API - REST API
  • MCP - MCP Server
Available options:
UI,
API,
MCP
uid
string | null
required
read-only

User identifier who created this thread

connection_ids
any

List of connection IDs that were used in this thread

model
enum<string>

The model used for this thread

  • sonnet-4 - Sonnet 4
  • sonnet-4.5 - Sonnet 4.5
  • haiku-4.5 - Haiku 4.5
  • o3 - o3
  • o4-mini - o4-mini
  • gpt-4.1 - GPT-4.1
  • gpt-5 - GPT-5
  • gpt-5-codex - GPT-5 Codex
Available options:
sonnet-4,
sonnet-4.5,
haiku-4.5,
o3,
o4-mini,
gpt-4.1,
gpt-5,
gpt-5-codex